/*
 * @Descripttion: HJ
 * @Company: 思宏科技
 * @version: v1.0
 * @Author: HJ
 * @Date: 2021-03-29 15:57:16
 * @LastEditors: HJ
 * @LastEditTime: 2021-04-07 11:02:25
 */
// package/good/remarks/remarks.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    remarkterm:'请输入口味、偏好的要求',
    remarkterms:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    that.setData({
      remarkterms:options.remarks
    })
    if(that.data.remarkterms==''){
      that.setData({
        remarkterm: '请输入口味、偏好的要求'
      })
    }

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  handleBack: function () {
    //直接调用上一个页面的setData()方法，把数据存到上一个页面中去
    var that = this;
    var pages = getCurrentPages();
    var currPage = pages[pages.length - 1];   //当前页面
    var prevPage = pages[pages.length - 2];
    prevPage.setData({
      remarker: that.data.remarkterms
    })
    wx.navigateBack({
      delta: 1,
    })
  },
  takeremarker: function (e) {
    var that = this;
    that.setData({
      remarkterms: e.detail.value,
    });
  },
})
